<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.pjilisense.flxai.dao.FileChunksDao">

    <resultMap type="com.pjilisense.flxai.entity.FileChunksEntity" id="fileChunksMap">
        <result property="fileId" column="file_id"/>
        <result property="chunkId" column="chunk_id" typeHandler="com.pjilisense.flxai.handle.UUIDTypeHandler"/>
        <result property="createdAt" column="created_at" jdbcType="TIMESTAMP_WITH_TIMEZONE" javaType="java.time.OffsetDateTime"/>
    </resultMap>


</mapper>